package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWldv;
import org.apache.ibatis.annotations.Param;

/**
 * 网络大VMapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcWldvMapper 
{
    /**
     * 查询网络大V
     * 
     * @param id 网络大V主键
     * @return 网络大V
     */
    public TcWldv selectTcWldvById(Long id);

    /**
     * 查询网络大V列表
     * 
     * @param tcWldv 网络大V
     * @return 网络大V集合
     */
    public List<TcWldv> selectTcWldvList(TcWldv tcWldv);

    /**
     * 新增网络大V
     * 
     * @param tcWldv 网络大V
     * @return 结果
     */
    public int insertTcWldv(TcWldv tcWldv);

    /**
     * 修改网络大V
     * 
     * @param tcWldv 网络大V
     * @return 结果
     */
    public int updateTcWldv(TcWldv tcWldv);

    /**
     * 删除网络大V
     * 
     * @param id 网络大V主键
     * @return 结果
     */
    public int deleteTcWldvById(Long id);

    /**
     * 批量删除网络大V
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcWldvByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
